Lorene::Base_vect Class Referenceabstract
Tensorial fields

Vectorial bases (triads) with respect to which the tensorial components are defined. More...

`#include <base_vect.h>`

Inheritance diagram for Lorene::Base_vect:

## Public Member Functions

virtual | ~Base_vect ()
| Destructor.
void | set_name (const char *name_i)
| Sets the basis name.
const char * | get_name () const
| Returns the basis name.
virtual int | identify () const =0
| Returns a number to identify the sub-classe of `Base_vect` the object belongs to.
virtual void | sauve (FILE *) const
| Save in a file.
virtual bool | operator== (const Base_vect &) const =0
| Comparison operator (egality).
bool | operator!= (const Base_vect &) const
| Comparison operator (difference).
virtual void | change_basis (Tenseur &) const =0
| Change the basis in which the components of a tensor are expressed.

## Static Public Member Functions

static Base_vect * | bvect_from_file (FILE *)
| Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

## Protected Member Functions

| Base_vect ()
| Standard constructor.
| Base_vect (const char *name_i)
| Standard constructor with name.
| Base_vect (const Base_vect &)
| Copy constructor.
| Base_vect (FILE *)
| Constructor from a file.
virtual ostream & | operator>> (ostream &) const =0
| Operator >>.

## Protected Attributes

char | name [100]
| Name of the basis.

## Private Member Functions

void | operator= (const Base_vect &)
| Assignement operator (not implemented).

## Friends

ostream & | operator<< (ostream &ost, const Base_vect &bvect)
| Display.

## Detailed Description

Vectorial bases (triads) with respect to which the tensorial components are defined.

()

Definition at line 105 of file base_vect.h.

## Constructor & Destructor Documentation

## Base_vect() [1/4]

Lorene::Base_vect::Base_vect | ( |  | ) |

protected

Standard constructor.

Definition at line 87 of file base_vect.C.

References set_name().

## Base_vect() [2/4]

Lorene::Base_vect::Base_vect | ( | const char * | name_i | ) |

explicit protected

Standard constructor with name.

Definition at line 95 of file base_vect.C.

References set_name().

## Base_vect() [3/4]

Lorene::Base_vect::Base_vect | ( | const Base_vect & | bvect_i | ) |

protected

Copy constructor.

Definition at line 104 of file base_vect.C.

References Base_vect(), name, and set_name().

## Base_vect() [4/4]

Lorene::Base_vect::Base_vect | ( | FILE * | fich | ) |

explicit protected

Constructor from a file.

This constructor is protected because any `Base_vect` construction from a file must be done via the function `Base_vect::bvect_from_file` .

Definition at line 112 of file base_vect.C.

References name.

## ~Base_vect()

Lorene::Base_vect::~Base_vect | ( |  | ) |

virtual

Destructor.

Definition at line 123 of file base_vect.C.

## Member Function Documentation

## bvect_from_file()

Base_vect * Lorene::Base_vect::bvect_from_file | ( | FILE * | fich | ) |

static

Construction of a vectorial basis from a file (see `sauve(FILE* )` ).

Definition at line 84 of file base_vect_from_file.C.

References Base_vect(), and Lorene::fread_be().

## change_basis()

virtual void Lorene::Base_vect::change_basis | ( | Tenseur & |  | ) | const

pure virtual

Change the basis in which the components of a tensor are expressed.

Implemented in Lorene::Base_vect_cart, and Lorene::Base_vect_spher.

## get_name()

const char * Lorene::Base_vect::get_name | ( |  | ) | const

Returns the basis name.

Definition at line 140 of file base_vect.C.

References name.

## identify()

virtual int Lorene::Base_vect::identify | ( |  | ) | const

pure virtual

Returns a number to identify the sub-classe of `Base_vect` the object belongs to.

Implemented in Lorene::Base_vect_cart, and Lorene::Base_vect_spher.

References Base_vect().

## operator!=()

bool Lorene::Base_vect::operator!= | ( | const Base_vect & | bi | ) | const

Comparison operator (difference).

Definition at line 174 of file base_vect.C.

References Base_vect().

## operator=()

void Lorene::Base_vect::operator= | ( | const Base_vect & |  | ) |

private

Assignement operator (not implemented).

References Base_vect().

## operator==()

virtual bool Lorene::Base_vect::operator== | ( | const Base_vect & |  | ) | const

pure virtual

Comparison operator (egality).

Implemented in Lorene::Base_vect_cart, and Lorene::Base_vect_spher.

References Base_vect().

## operator>>()

virtual ostream & Lorene::Base_vect::operator>> | ( | ostream & |  | ) | const

protected pure virtual

Operator >>.

Implemented in Lorene::Base_vect_cart, and Lorene::Base_vect_spher.

References Base_vect().

## sauve()

void Lorene::Base_vect::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented in Lorene::Base_vect_cart, and Lorene::Base_vect_spher.

Definition at line 150 of file base_vect.C.

References Lorene::fwrite_be(), identify(), and name.

## set_name()

void Lorene::Base_vect::set_name | ( | const char * | name_i | ) |

Sets the basis name.

Definition at line 134 of file base_vect.C.

References name.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | ost,
|  | const Base_vect & | bvect )

friend

Display.

Definition at line 162 of file base_vect.C.

References Base_vect(), get_name(), and operator<<.

## Member Data Documentation

## name

char Lorene::Base_vect::name[100]

protected

Name of the basis.

Definition at line 110 of file base_vect.h.

The documentation for this class was generated from the following files:

- base_vect.h
- base_vect.C
- base_vect_from_file.C